<?php
/**
 * @package			No Boss Extensions
 * @subpackage  	No Boss Image Gallery
 * @author			No Boss Technology <contact@nobosstechnology.com>
 * @copyright		Copyright (C) 2018 No Boss Technology. All rights reserved.
 * @license			GNU Lesser General Public License version 3 or later; see <https://www.gnu.org/licenses/lgpl-3.0.en.html>
 */

defined('JPATH_BASE') or die;

class JFormFieldNobossselsetflickr extends JFormField
{
	/**
	 * The form field type.
	 *
	 * @var		string
	 * @since   1.6
	 */
	protected $type = 'nobossselsetflickr';

	/**
	 * Method to get the field input markup.
	 *
	 * @return  string	The field input markup.
	 * @since   1.6
	 */
	protected function getInput()
	{

		JLoader::register('modNobossimagegalleryHelper', JPATH_ROOT.'/modules/mod_nobossimagegallery/helper.php');

		$html = array();
		$attr = '';
		$formDataObj = $this->form->getData()->toObject();

		if (isset($formDataObj->api_flickr) && isset($formDataObj->user_flickr)){
			$idApi = $formDataObj->api_flickr;
			$userId = $formDataObj->user_flickr;
		}
		else{
			$idApi = null;
			$userId = null;
		}

		if($idApi != null && $userId != null){
			$class = $this->element['class'] ? "class = '{$this->element['class']}'": '';
			$photosets = modNobossimagegalleryHelper::getPhotoSets($idApi,$userId);

			if(is_array($photosets)){
				$html[] = '<div '.$class.' style="float: left; margin-right: 15px;">';
				$html[] = '<select id="'.$this->id.'" name="'.$this->name.'" class="custom-select">';
				$html[] = '<option value="" >'.JText::_('MOD_NOBOSSIMAGEGALLERY_SELECT_ALBUM').'</option>';

				foreach ($photosets as $photoset) {
					$selected = '';
					if (isset($formDataObj->id_album_flickr)){
						$selected = ($formDataObj->id_album_flickr == $photoset['id'])?'selected = "selected"':'';
					}

					$html[] = "<option {$selected} value='{$photoset['id']}'>".implode(' ', $photoset['title'])."</option>";
				}
				$html[] = '</select>';
				$html[] = '</div>';
				$html[] = '<button class="btn btn-small btn-success" onclick="Joomla.submitbutton(\'module.apply\')">';
				$html[] = '<span class="icon-refresh icon-white"></span>&nbsp; '. JText::_('MOD_NOBOSSIMAGEGALLERY_LOAD_ALBUM_BUTTON');
				$html[] = '</button>';
			}else{
				$html[] = '<div class="alert-error" style="float: left; margin-right: 15px;">';
				$html[] = $photosets;
				$html[] = '</div>';
				$html[] = '<button class="btn btn-small btn-success" onclick="Joomla.submitbutton(\'module.apply\')">';
				$html[] = '<span class="icon-refresh icon-white"></span>&nbsp; '. JText::_('MOD_NOBOSSIMAGEGALLERY_LOAD_ALBUM_BUTTON');
				$html[] = '</button>';
			}
		}else{
			$html[] = "<input type='hidden' name='{$this->name}' id='{$this->id}' value='0' />";
			$html[] = '<button class="btn btn-small btn-success" onclick="Joomla.submitbutton(\'module.apply\')">';
			$html[] = '<span class="icon-refresh icon-white"></span>&nbsp; '. JText::_('MOD_NOBOSSIMAGEGALLERY_LOAD_ALBUM_BUTTON');
			$html[] = '</button>';
		}

		return implode($html);
	}
}
