<?php
/**
 * @package			No Boss Extensions
 * @subpackage  	No Boss Image Gallery
 * @author			No Boss Technology <contact@nobosstechnology.com>
 * @copyright		Copyright (C) 2018 No Boss Technology. All rights reserved.
 * @license			GNU Lesser General Public License version 3 or later; see <https://www.gnu.org/licenses/lgpl-3.0.en.html>
 */

 defined('_JEXEC') or die;

 ?>

<div class="nb-thumbnails">
  <?php foreach ($photos as $key => $photo) {
      
      // Inicia a legenda da foto 
      $legend = '';

      if($loadMode == "flickr_album"){
        // Se a opção de legenda for título
        if ($showLegend == 'title'){
            $legend =  strip_tags($photo['title']);
        }
        // Se a opção de legenda for descrição
        else if ($showLegend == 'description'){
            $legend = strip_tags($photo['description']['_content']);
        }
      }else{
          $legend = $photo['image_legend'];
      }

      // Legenda definida
      if (!empty($legend)){
        // Aplica limite de caracteres
        $legend = JHtml::_('string.truncate', $legend, $legendLimit);
      }

      // Url do Thumb da imagem
      if($loadMode == "flickr_album"){
          $urlThumb = "http://farm{$photo['farm']}.staticflickr.com/{$photo['server']}/{$photo['id']}_{$photo['secret']}_m.jpg";
      }else{
          $urlThumb = $photo['thumbSrc'];
      }
    ?>

    <img class="nb-thumbnail" alt="<?php if(!empty($legend)){ echo $legend; } ?>" role="img" src="<?php echo JUri::root() . 'modules/' . $extensionName . '/assets/images/blank.gif' ?>" data-src="<?php echo $urlThumb; ?>">
  <?php } ?>
</div>
<?php // Verifica e exibe setas de navegação nas thumbs ?>
<?php if(($showArrows && $thumbsArrows != 'none')){ ?>
  <div class="nb-thumbnail-arrows  nb-arrows--<?php echo $thumbsArrows; ?>">
    <div class="nb-thumbnail-arrow nb-thumbnail-arrow-previous" style="<?php echo $arrowsStyle; ?> <?php echo $thumbsArrowsIconSize; ?> <?php echo $thumbsBorderRadius; ?>">
      <span class="fa <?php echo (!empty($arrowsIcon)) ? $arrowsIcon . '-left' : '';  ?>" style="font-size: inherit;"></span>
    </div>
    <div class="nb-thumbnail-arrow nb-thumbnail-arrow-next" style="<?php echo $arrowsStyle; ?> <?php echo $thumbsArrowsIconSize; ?> <?php echo $thumbsBorderRadius; ?>">
      <span class="fa <?php echo (!empty($arrowsIcon)) ?  $arrowsIcon . '-right' : '';  ?>" style="font-size: inherit;"></span>
    </div>
  </div>
<?php } ?>
