<?php
/**
 * @package			No Boss Extensions
 * @subpackage  	No Boss Image Gallery
 * @author			No Boss Technology <contact@nobosstechnology.com>
 * @copyright		Copyright (C) 2018 No Boss Technology. All rights reserved.
 * @license			GNU Lesser General Public License version 3 or later; see <https://www.gnu.org/licenses/lgpl-3.0.en.html>
 */

defined('_JEXEC') or die;
?>

<script type="text/javascript">
	var jsConfig = {};
	jsConfig = <?php echo json_encode($jsConfig); ?>;
	if (moduleList === undefined) {
	    var moduleList = [];
	}
	moduleList["<?php echo $module->name . '_' . $module->id; ?>"] = jsConfig;
</script>

<section class='<?php echo "{$module->name} {$module->name}--{$theme}"; ?> <?php echo !$externalArea->content_display_mode ? 'nb-full-width' : ''?>'
	style="<?php echo $sectionStyle; ?>"
	<?php echo "module-id={$module->name}_{$module->id}"; ?>
	>
    <?php if($externalArea->content_display_mode) { ?>
        <div class="nb-container">
            <div class="<?php echo $itemColumns; ?>">
    <?php } ?>
	<?php // Exibe título e texto de apoio da área externa ?>
	<?php require JModuleHelper::getLayoutPath($extensionName, 'common/external_area');?>
	<div class="nb-gallery" data-id='nb-gallery' data-model='<?php echo $theme;?>'>
		<div class="nb-slides">
			<?php foreach ($photos as $photo) { ?>
					<div class="nb-slide" style="<?php echo ($backgroundImageColor) ? 'background-color: ' . $backgroundImageColor : ''; ?>">
                        <?php 
                            if($loadMode == "flickr_album"){
                                $urlImg1 = "http://farm{$photo['farm']}.staticflickr.com/{$photo['server']}/{$photo['id']}_{$photo['secret']}_b.jpg";
                            }else{
                                $urlImg1 = $photo['imageSrc'];
                            }
                        ?>
						<img 
							class="nb-image"
							alt="<?php echo strip_tags($description); ?>"
							role="img"
							src="<?php echo JUri::root() . 'modules/' . $extensionName . '/assets/images/blank.gif' ?>"
							data-src="<?php echo $urlImg1; ?>"
						/>
                        <?php
                        if($loadMode == "flickr_album"){
                            // Exibir título da imagem
                            if ($showLegend == 'title'){
                                $legend = $photo['title'];
                            }
                            // Exibir descrição da imagem
                            else if ($showLegend == 'description'){
                                $legend = $photo['description']['_content'];
                            }
                        }else{
                            $legend = $photo['image_legend'];
                        }
						// Definido para exibir legenda
						if (!empty($legend)) {
							echo "<{$legendTagHtml} class='nb-legend' style='{$legendStyle}'>";
							// Exibe a legenda aplicando limite de caracteres
							echo JHtml::_('string.truncate', $legend, $legendLimit);
							echo "</{$legendTagHtml}>";
						}
						?>
					</div>
			<?php } ?>
			<?php  // Exibir setas de navegação na imagem ampliada ?>
			<?php if($showArrows && $amplifiedImageArrows != 'none' && $countPhotos > 1){ ?>
				<?php
					// html das setas
					require JModuleHelper::getLayoutPath('mod_nobossimagegallery', 'common/arrows');
				?>
			<?php } ?>
		</div>
		<?php // verifica se as thumbs devem ser exibidas ?>
		<?php if($showThumbs){
			require JModuleHelper::getLayoutPath('mod_nobossimagegallery', 'common/thumbs');
		} ?>
	</div>
    <?php if($externalArea->content_display_mode) { ?>
            </div>
        </div>
    <?php } ?>
</section>
